%define subrel	1

Name:           faenza-icon-theme
Version:        1.2
Release:        %mkrel 2
Summary:        Faenza icon theme
Group:          Graphical desktop/Other
License:        GPLv3+
URL:            http://tiheum.deviantart.com/art/Faenza-Icons-173323228
Source0:	http://faenza-icon-theme.googlecode.com/files/%{name}_%{version}.tar.gz
BuildArch:      noarch
Requires(post): gtk2 >= 2.6.0
Requires(postun): gtk2 >= 2.6.0
#BuildRequires:	icon-naming-utils >= 0.8.7
Requires:       gnome-icon-theme
#Requires:	tango-icon-theme
Requires:       gnome-themes

%description
This icon theme for Gnome provides monochromatic icons for panels, toolbars and
buttons and colourful squared icons for devices, applications, folder, files and
Gnome menu items.

Four themes are included to fit with light or dark themes/panels.

%prep
%setup -q -n %{name}-%{version}

#fix rights
find Faenza* -type d -exec chmod 755 {} \;
find Faenza* -type f -exec chmod 644 {} \;

%install
install -d -m 755 %{buildroot}%{_iconsdir}
cp -a Faenza* %{buildroot}%{_iconsdir}

# originally from Fedora .spec
# link the distributor-logo and start-here icons to the gnome icon
# as currently we don't have our own icon
for icon in %{buildroot}%{_iconsdir}/*/places/*/distributor-logo.* \
	%{buildroot}%{_iconsdir}/*/places/*/start-here.*
do
    pushd ${icon%/*}
        ln -sf ./start-here-gnome.${icon##*.} ${icon##*/}
    popd
done

# link the start-here-symbolic icon to the gnome icon
for icon in %{buildroot}%{_iconsdir}/*/places/*/start-here-symbolic.*
do
    pushd ${icon%/*}
        ln -sf ./start-here-gnome-symbolic.${icon##*.} ${icon##*/}
    popd
done

#for ghost files
touch %{buildroot}%{_iconsdir}/Faenza/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Ambiance/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Dark/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darker/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darkest/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Radiance/icon-theme.cache

%post
%update_icon_cache Faenza
%update_icon_cache Faenza-Ambiance
%update_icon_cache Faenza-Dark
%update_icon_cache Faenza-Darker
%update_icon_cache Faenza-Darkest
%update_icon_cache Faenza-Radiance

%postun
%clean_icon_cache Faenza
%clean_icon_cache Faenza-Ambiance
%clean_icon_cache Faenza-Dark
%clean_icon_cache Faenza-Darker
%clean_icon_cache Faenza-Darkest
%clean_icon_cache Faenza_Radiance

%files
%dir %{_datadir}/icons/Faenza
%dir %{_datadir}/icons/Faenza-Ambiance
%dir %{_datadir}/icons/Faenza-Dark
%dir %{_datadir}/icons/Faenza-Darker
%dir %{_datadir}/icons/Faenza-Darkest
%dir %{_datadir}/icons/Faenza-Radiance
%{_iconsdir}/Faenza*/*/
%{_iconsdir}/Faenza*/index.theme
%ghost %{_iconsdir}/Faenza/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Ambiance/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Dark/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Darker/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Darkest/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Radiance/icon-theme.cache


%changelog
* Thu May 23 2013 wally <wally> 1.2-2.1.mga3
+ Revision: 424880
- don't symlink distributor-logo, start-here and start-here-symbolic icons to ubuntu specific icons (use gnome ones instead as currently we don't have our own icons)
- fix a typo in post script

* Fri Jan 11 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 350032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 lebedov <lebedov> 1.2-1.mga2
+ Revision: 199487
- Update to 1.2.

* Wed Oct 26 2011 lebedov <lebedov> 1.1-1.mga2
+ Revision: 158267
- Update to 1.1.

* Wed Sep 14 2011 tv <tv> 1.0-1.mga2
+ Revision: 143318
- new release
- better description

* Sat Apr 30 2011 ahmad <ahmad> 0.9.2-1.mga1
+ Revision: 93826
- update to 0.9.2

* Sun Apr 10 2011 ahmad <ahmad> 0.9.1-1.mga1
+ Revision: 82704
- update to 0.9.1
- use the .tar.gz instead of the zip file and use Source0 url
- drop BR icon-naming-utils, not used AFAICS
- drop requires on tango-icon-theme, not used
- imported package faenza-icon-theme


* Thu Dec 02 2010 Lev Givon <lev@mandriva.org> 0.8-1mdv2011.0
+ Revision: 604956
- Update to 0.8.

* Tue Aug 31 2010 Lev Givon <lev@mandriva.org> 0.7-1mdv2011.0
+ Revision: 574846
- Update to 0.7.

* Wed Aug 18 2010 Lev Givon <lev@mandriva.org> 0.6-1mdv2011.0
+ Revision: 571235
- import faenza-icon-theme


